Option | Description | Values | Default
--- | --- | --- | ---
sortParamsByRequiredFlag | Sort method arguments to place required parameters before optional parameters. |  | true
sortModelPropertiesByRequiredFlag | Sort model properties to place required parameters before optional parameters. |  | true
ensureUniqueParams | Whether to ensure parameter names are unique in an operation (rename parameters that are not). |  | true
allowUnicodeIdentifiers | boolean, toggles whether unicode identifiers are allowed in names or not, default is false |  | false
prependFormOrBodyParameters | Add form or body parameters to the beginning of the parameter list. |  | false

##
IMPORT MAPPING

Type/Alias | Imports
--- | ---
LocalDateTime | org.joda.time.*
Set | java.util.*
LocalTime | org.joda.time.*
HashMap | java.util.HashMap
ArrayList | java.util.ArrayList
URI | java.net.URI
Timestamp | java.sql.Timestamp
LocalDate | org.joda.time.*
BigDecimal | java.math.BigDecimal
Date | java.util.Date
DateTime | org.joda.time.*
Array | java.util.List
List | java.util.*
UUID | java.util.UUID
File | java.io.File
Map | java.util.Map

##
INSTANTIATION TYPES

Type/Alias | Instantiated By
--- | ---

##
LANGUAGE PRIMITIVES

- pointer
- bool
- string
- float32
- cstring
- float64
- uint
- float
- int
- int16
- int32
- int64
- int8
- char
- uint64
- uint32
- uint8
- uint16

##
RESERVED WORDS

- discard
- mod
- converter
- do
- type
- while
- when
- div
- nil
- cast
- iterator
- ref
- bind
- isnot
- continue
- else
- raise
- block
- from
- let
- export
- if
- case
- using
- static
- method
- in
- var
- finally
- is
- elif
- enum
- mixin
- as
- shl
- except
- try
- shr
- object
- template
- defer
- const
- import
- concept
- for
- distinct
- interface
- out
- tuple
- not
- and
- of
- yield
- end
- xor
- addr
- include
- macro
- proc
- or
- break
- ptr
- func
- asm
- notin
- return

Last updated on 1/9/2020